Anonymous Login
2017-03-24 21:02 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001893OpenClonkEnginepublic2017-02-25 19:19
ReporterK-Pone 
Assigned ToSven2 
PriorityurgentSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformDesktopOSWindows 7OS Version64 bit
Product Version 
Target VersionFixed in Version 
Summary0001893: Crash on Windows since Autobuild 2083
DescriptionKnüppeln Scenarios crash while loading since Snapshots using Autobuild 2083. The error message doesn't tell much except "contact the developers". Autobuild 2082 works fine though. The crash occurs on Win64 as well as on Win32 snapshots. Happens when starting a Knüppeln Scenario. Normal scens seem to work fine.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005614

K-Pone (reporter)

@Isilkor: Seems to have something to do with the printf change by you...

~0005615

Isilkor (developer)

Can you provide a minidump? If OC doesn't generate a minidump itself, please generate one while the error message dialog is still open by launching task manager, selecting the "Processes" tab, right-clicking the openclonk.exe process and clicking "Create Dump File". The dump file will be written to C:\Users\<your username>\AppData\Local\Temp.

~0005616

K-Pone (reporter)

@Isilkor: Uploaded: https://dl.dropboxusercontent.com/u/5348634/openclonk.7z

~0005617

Isilkor (developer)

Sven says he found and fixed this in 198d114.

~0005618

K-Pone (reporter)

Not fixed. Still crashing on latest snapshot.

~0005619

Sven2 (developer)

Fixed another error.
+Notes

-Issue History
Date Modified Username Field Change
2017-02-20 22:16 K-Pone New Issue
2017-02-20 22:17 K-Pone Note Added: 0005614
2017-02-20 22:21 Isilkor Note Added: 0005615
2017-02-20 22:54 K-Pone Note Added: 0005616
2017-02-21 07:27 Isilkor Assigned To => Sven2
2017-02-21 07:27 Isilkor Status new => resolved
2017-02-21 07:27 Isilkor Resolution open => fixed
2017-02-21 07:27 Isilkor Note Added: 0005617
2017-02-21 23:18 K-Pone Status resolved => feedback
2017-02-21 23:18 K-Pone Resolution fixed => reopened
2017-02-21 23:18 K-Pone Note Added: 0005618
2017-02-25 18:16 Isilkor Note View State: 0005616: private
2017-02-25 18:16 Isilkor Note View State: 0005616: public
2017-02-25 19:19 Sven2 Status feedback => resolved
2017-02-25 19:19 Sven2 Resolution reopened => fixed
2017-02-25 19:19 Sven2 Note Added: 0005619
+Issue History